Package com.beust.jcommander.converters

# Class InetAddressConverter

java.lang.Object
com.beust.jcommander.converters.InetAddressConverter

All Implemented Interfaces:
  `IStringConverter<InetAddress>`

public class InetAddressConverter extends Object implements IStringConverter<InetAddress>
Converts `String`s to `InetAddress`'.

## Constructor Summary

Constructors
Constructor
Description
`InetAddressConverter()`

## Method Summary

Modifier and Type
Method
Description
`InetAddress`
`convert(String host)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InetAddressConverter

public InetAddressConverter()

## Method Details

### convert

public InetAddress convert(String host)

Specified by:
  `convert` in interface `IStringConverter<InetAddress>`
Returns:
  an object of type <T> created from the parameter value.